glibmm: Glib::StreamIOChannel Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Glib::StreamIOChannel Class Reference

`#include <glibmm/streamiochannel.h>`

Inheritance diagram for Glib::StreamIOChannel:
[legend]

## Public Member Functions
virtual | ~StreamIOChannel ()
Public Member Functions inherited from Glib::IOChannel
virtual | ~IOChannel ()
IOStatus | read (gunichar& thechar)
| Read a single UCS-4 character. More...
IOStatus | read (char* buf, gsize count, gsize& bytes_read)
| Read a character sequence into memory. More...
IOStatus | read (Glib::ustring& str, gsize count)
| Read a maximum of count bytes into str. More...
IOStatus | read_line (Glib::ustring& line)
| Read a whole line. More...
IOStatus | read_to_end (Glib::ustring& str)
| Reads all the remaining data from the file. More...
IOStatus | write (const Glib::ustring& str)
| Write a string to the I/O channel. More...
IOStatus | write (const char* buf, gssize count, gsize& bytes_written)
| Write a memory area of count bytes to the I/O channel. More...
IOStatus | write (gunichar unichar)
| Write a single UCS-4 character to the I/O channel. More...
IOStatus | seek (gint64 offset, SeekType type=SEEK_TYPE_SET)
| Seek the I/O channel to a specific position. More...
IOStatus | flush ()
| Flush the buffers of the I/O channel. More...
IOStatus | close (bool flush=true)
| Close the I/O channel. More...
gsize | get_buffer_size () const
| Get the IOChannel internal buffer size. More...
void | set_buffer_size (gsize size)
| Set the internal IOChannel buffer size. More...
IOFlags | get_flags () const
| Get the current flags for a IOChannel, including read-only flags such as Glib::IO_FLAG_IS_READABLE. More...
IOStatus | set_flags (IOFlags flags)
| Set flags on the IOChannel. More...
void | set_buffered (bool buffered)
| Set the buffering status of the I/O channel. More...
bool | get_buffered () const
| Get the buffering status of the I/O channel. More...
IOCondition | get_buffer_condition () const
| Returns an IOCondition depending on whether there is data to be read/space to write data in the internal buffers in the I/O channel. More...
bool | get_close_on_unref () const
| Returns whether the file/socket/whatever associated with the I/O channel will be closed when the channel receives its final unref and is destroyed. More...
void | set_close_on_unref (bool do_close)
| Setting this flag to `true` for a channel you have already closed can cause problems. More...
IOStatus | set_encoding (const std::string& encoding=std::string())
| Sets the encoding for the input/output of the channel. More...
std::string | get_encoding () const
| Get the encoding of the I/O channel. More...
void | set_line_term (const std::string& term=std::string())
std::string | get_line_term () const
Glib::RefPtr< IOSource > | create_watch (IOCondition condition)
| Creates an IOSource object. More...
virtual void | reference () const
virtual void | unreference () const
GIOChannel* | gobj ()
const GIOChannel* | gobj () const

## Static Public Member Functions
static Glib::RefPtr < StreamIOChannel > | create (std::istream& stream)
static Glib::RefPtr < StreamIOChannel > | create (std::ostream& stream)
static Glib::RefPtr < StreamIOChannel > | create (std::iostream& stream)
Static Public Member Functions inherited from Glib::IOChannel
static Glib::RefPtr< IOChannel > | create_from_file (const std::string& filename, const std::string& mode)
| Open a file filename as an I/O channel using mode mode. More...
static Glib::RefPtr< IOChannel > | create_from_fd (int fd)
| Creates an I/O channel from a file descriptor. More...

## Protected Member Functions
| StreamIOChannel (std::istream* stream_in, std::ostream* stream_out)
virtual IOStatus | read_vfunc (char* buf, gsize count, gsize& bytes_read)
virtual IOStatus | write_vfunc (const char* buf, gsize count, gsize& bytes_written)
virtual IOStatus | seek_vfunc (gint64 offset, SeekType type)
virtual IOStatus | close_vfunc ()
virtual IOStatus | set_flags_vfunc (IOFlags flags)
virtual IOFlags | get_flags_vfunc ()
virtual Glib::RefPtr < Glib::Source > | create_watch_vfunc (IOCondition cond)
Protected Member Functions inherited from Glib::IOChannel
| IOChannel ()
| Constructor that should be used by derived classes. More...

## Protected Attributes
std::istream* | stream_in_
std::ostream* | stream_out_
Protected Attributes inherited from Glib::IOChannel
GIOChannel* | gobject_

## Detailed Description

Deprecated:
  This whole class was deprecated in glibmm 2.2 - See the Glib::IOChannel documentation for an explanation.

## Constructor & Destructor Documentation

virtual Glib::StreamIOChannel::~StreamIOChannel | ( |  | ) |
| virtual

Glib::StreamIOChannel::StreamIOChannel | ( | std::istream * | stream_in,
|  | std::ostream * | stream_out
| ) |  |
| protected

## Member Function Documentation

virtual IOStatus Glib::StreamIOChannel::close_vfunc | ( |  | ) |
| protectedvirtual

Reimplemented from Glib::IOChannel.

static Glib::RefPtr<StreamIOChannel> Glib::StreamIOChannel::create | ( | std::istream & | stream | ) |
| static

static Glib::RefPtr<StreamIOChannel> Glib::StreamIOChannel::create | ( | std::ostream & | stream | ) |
| static

static Glib::RefPtr<StreamIOChannel> Glib::StreamIOChannel::create | ( | std::iostream & | stream | ) |
| static

virtual Glib::RefPtr<Glib::Source> Glib::StreamIOChannel::create_watch_vfunc | ( | IOCondition | cond | ) |
| protectedvirtual

Reimplemented from Glib::IOChannel.

virtual IOFlags Glib::StreamIOChannel::get_flags_vfunc | ( |  | ) |
| protectedvirtual

Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::read_vfunc | ( | char * | buf,
|  | gsize | count,
|  | gsize & | bytes_read
| ) |  |
| protectedvirtual

Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::seek_vfunc | ( | gint64 | offset,
|  | SeekType | type
| ) |  |
| protectedvirtual

Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::set_flags_vfunc | ( | IOFlags | flags | ) |
| protectedvirtual

Reimplemented from Glib::IOChannel.

virtual IOStatus Glib::StreamIOChannel::write_vfunc | ( | const char * | buf,
|  | gsize | count,
|  | gsize & | bytes_written
| ) |  |
| protectedvirtual

Reimplemented from Glib::IOChannel.

## Member Data Documentation

std::istream* Glib::StreamIOChannel::stream_in_
| protected

std::ostream* Glib::StreamIOChannel::stream_out_
| protected